using UnityEngine;
using System;
using System.Collections.Generic;

public class DiplomacyMedium01 : RequestLetter
{
    protected override string GetTextBody()
    {
        return "Constant storms have been hurting our empire and the people's well-being. We could build a canal system to solve the problem - either an expensive and safe one, or a cheap and reckless one that would end up harming the water supply of one of our neighbours. What should we do now?";
    }

    protected override string GetSender()
    {
        return "Counselor Dimas";
    }

    protected override Attributes GetRelatedAttribute()
    {
        return Attributes.Diplomacy;
    }

    protected override AttributeInfluenceLevel GetInfluenceLevelRequired()
    {
        return AttributeInfluenceLevel.Medium;
    }

    protected override List<Choice> GetChoices()
    {
        return new List<Choice>()
        {
            new Choice
            (
                "Build the cheaper canal system", 
                new ResponseLetter
                (
                    "The canal is complete and the problem is solved. You may have saved some gold, but our relationship with the landamorians is now compromised.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Wealthy, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Diplomacy, -0.2f} }
                )
            ),
            new Choice
            (
                "Build the expensive canal system", 
                new ResponseLetter
                (
                    "The canal is complete and the problem is solved, Your Majesty. The royal treasure will never be the same after this quite expensive construction.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Wealthy, -0.2f } }
                )
            ),
            new Choice
            (
                "Build nothing", 
                new ResponseLetter
                (
                    "The storms continued to rage on and, without the canal system, they brought destruction with them. It finally seems the storms are coming to an end, but the people has already grown quite uneasy.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, -0.1f } }
                )
            )
        };
    }
}